SUSE SLED15 / SLES15セキュリティ更新プログラム:MozillaFirefox(SUSE-SU-2021:0246-1)

high Nessus プラグイン ID 145765

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

MozillaFirefox用のこの更新プログラムでは、以下の問題が修正されます。セキュリティ上の問題が修正されました:

Firefox延長サポート版78.7.0 ESR(MFSA 2021-04、bsc#1181414)

- CVE-2021-23953:リダイレクトされたPDFリクエストを介したクロスオリジン情報漏洩を修正しました

- CVE-2021-23954:JavaScriptのswitchステートメントで論理割り当て演算子を使用する際の型の取り違えを修正しました

- CVE-2020-26976:HTTPSページが登録されたサービスワーカーによって本来傍受されるべきでないのに、傍受されていた可能性がある問題を修正しました

- CVE-2021-23960:GC中に不適切に再宣言されたJavaScript変数に対するuse-after-poisonを修正しました

- CVE-2021-23964:メモリの安全性に関するバグを修正しました

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Manager Server 4.0:

zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-246=1

SUSE Manager Retail Branch Server 4.0:

zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-246=1

SUSE Manager Proxy 4.0:

zypper in -t patch SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-246=1

SUSE Linux Enterprise Server for SAP 15-SP1:

zypper in -t patch SUSE-SLE-Product-SLES_SAP-15-SP1-2021-246=1

SUSE Linux Enterprise Server 15-SP1-LTSS:

zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-246=1

SUSE Linux Enterprise Server 15-SP1-BCL:

zypper in -t patch SUSE-SLE-Product-SLES-15-SP1-BCL-2021-246=1

SUSE Linux Enterprise Module for Desktop Applications 15-SP1:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2021-246=1

SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS:

zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-246=1

SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS:

zypper in -t patch SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-246=1

SUSE Enterprise Storage 6:

zypper in -t patch SUSE-Storage-6-2021-246=1

SUSE CaaS Platform 4.0:

この更新プログラムをインストールするには、SUSE CaaS Platform「skuba」ツールを使用してください。新しい更新を検出した場合は通知され、その後、制御された方法でクラスター全体の更新をトリガーできます。

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1181414

https://www.suse.com/security/cve/CVE-2020-26976/

https://www.suse.com/security/cve/CVE-2021-23953/

https://www.suse.com/security/cve/CVE-2021-23954/

https://www.suse.com/security/cve/CVE-2021-23960/

https://www.suse.com/security/cve/CVE-2021-23964/

http://www.nessus.org/u?f5f67723

プラグインの詳細

深刻度: High

ID: 145765

ファイル名: suse_SU-2021-0246-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2021/2/1

更新日: 2021/3/8

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: CVSS2#E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2021-23964

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: CVSS:3.0/E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:mozillafirefox, p-cpe:/a:novell:suse_linux:mozillafirefox-debuginfo, p-cpe:/a:novell:suse_linux:mozillafirefox-debugsource, p-cpe:/a:novell:suse_linux:mozillafirefox-devel, p-cpe:/a:novell:suse_linux:mozillafirefox-translations-common, p-cpe:/a:novell:suse_linux:mozillafirefox-translations-other, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/1/29

脆弱性公開日: 2021/1/7

参照情報

CVE: CVE-2020-26976, CVE-2021-23953, CVE-2021-23954, CVE-2021-23960, CVE-2021-23964